diff --git a/src/test/mb/mbregress.sh b/src/test/mb/mbregress.sh
new file mode 100644
index 20942e3..c2f27ef
*** a/src/test/mb/mbregress.sh
--- b/src/test/mb/mbregress.sh
*************** if [ ! -d results ];then
*** 14,24 ****
      mkdir results
  fi
  
- dropdb utf8
- createdb -T template0 -l C -E UTF8 utf8
- 
  PSQL="psql -n -e -q"
  tests="euc_jp sjis euc_kr euc_cn euc_tw big5 utf8 mule_internal"
  unset PGCLIENTENCODING
  for i in $tests
  do
--- 14,28 ----
      mkdir results
  fi
  
  PSQL="psql -n -e -q"
  tests="euc_jp sjis euc_kr euc_cn euc_tw big5 utf8 mule_internal"
+ NUM_FAILURES=0
+ 
+ # Mimic the 'dropdb' command, except don't raise an error message if
+ # the database doesn't already exist.
+ echo 'DROP DATABASE IF EXISTS utf8' | $PSQL template1
+ createdb -T template0 -l C -E UTF8 utf8 || exit 1
+ 
  unset PGCLIENTENCODING
  for i in $tests
  do
*************** do
*** 54,60 ****
--- 58,67 ----
  		echo "----------------------"; \
  		echo "" ) >> regression.diffs
  		echo failed
+ 		NUM_FAILURES=$((NUM_FAILURES+1))
  	else
  		echo ok
  	fi
  done
+ 
+ exit $NUM_FAILURES